Bug 1274972 - [abrt] telepathy-idle: tp_handle_inspect(): telepathy-idle killed by SIGSEGV
[abrt] telepathy-idle: tp_handle_inspect(): telepathy-idle killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: telepathy-idle (Show other bugs)
23
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:6a3a91e19f6d3d1de0ac0b4210f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-24 07:25 EDT by Giulio 'juliuxpigface'
Modified: 2016-12-20 10:08 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:08:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (18.53 KB, text/plain)
2015-10-24 07:26 EDT, Giulio 'juliuxpigface'
no flags Details
File: cgroup (177 bytes, text/plain)
2015-10-24 07:26 EDT, Giulio 'juliuxpigface'
no flags Details
File: core_backtrace (14.09 KB, text/plain)
2015-10-24 07:26 EDT, Giulio 'juliuxpigface'
no flags Details
File: dso_list (4.12 KB, text/plain)
2015-10-24 07:26 EDT, Giulio 'juliuxpigface'
no flags Details
File: environ (854 bytes, text/plain)
2015-10-24 07:26 EDT, Giulio 'juliuxpigface'
no flags Details
File: exploitable (82 bytes, text/plain)
2015-10-24 07:26 EDT, Giulio 'juliuxpigface'
no flags Details
File: limits (1.29 KB, text/plain)
2015-10-24 07:26 EDT, Giulio 'juliuxpigface'
no flags Details
File: maps (12.97 KB, text/plain)
2015-10-24 07:27 EDT, Giulio 'juliuxpigface'
no flags Details
File: mountinfo (3.16 KB, text/plain)
2015-10-24 07:27 EDT, Giulio 'juliuxpigface'
no flags Details
File: open_fds (704 bytes, text/plain)
2015-10-24 07:27 EDT, Giulio 'juliuxpigface'
no flags Details
File: proc_pid_status (866 bytes, text/plain)
2015-10-24 07:27 EDT, Giulio 'juliuxpigface'
no flags Details
File: var_log_messages (325 bytes, text/plain)
2015-10-24 07:27 EDT, Giulio 'juliuxpigface'
no flags Details

  None (edit)
Description Giulio 'juliuxpigface' 2015-10-24 07:25:53 EDT
Description of problem:
Encountered this on Fedora 23 RC3 (i686, qemu-kvm)

Steps to reproduce:
1. Open Empathy.
2. Configure an IRC account.
3. Join #freenode and a room (#fedora-it in my case)

Version-Release number of selected component:
telepathy-idle-0.2.0-4.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/libexec/telepathy-idle
crash_function: tp_handle_inspect
executable:     /usr/libexec/telepathy-idle
global_pid:     3997
kernel:         4.2.3-300.fc23.i686
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 tp_handle_inspect at handle-repo.c:277
 #1 _rpl_list_handler at idle-roomlist-channel.c:318
 #2 _parse_and_forward_one at idle-parser.c:458
 #3 _parse_message at idle-parser.c:362
 #4 idle_parser_receive at idle-parser.c:254
 #5 sconn_received_cb at idle-connection.c:827
 #6 g_cclosure_marshal_VOID__STRINGv at gmarshal.c:1794
 #7 _g_closure_invoke_va at gclosure.c:864
 #10 _input_stream_read_ready at idle-server-connection.c:278
 #11 async_ready_callback_wrapper at ginputstream.c:529

Potential duplicate: bug 1047576
Comment 1 Giulio 'juliuxpigface' 2015-10-24 07:26:04 EDT
Created attachment 1086065 [details]
File: backtrace
Comment 2 Giulio 'juliuxpigface' 2015-10-24 07:26:06 EDT
Created attachment 1086066 [details]
File: cgroup
Comment 3 Giulio 'juliuxpigface' 2015-10-24 07:26:13 EDT
Created attachment 1086067 [details]
File: core_backtrace
Comment 4 Giulio 'juliuxpigface' 2015-10-24 07:26:42 EDT
Created attachment 1086068 [details]
File: dso_list
Comment 5 Giulio 'juliuxpigface' 2015-10-24 07:26:47 EDT
Created attachment 1086069 [details]
File: environ
Comment 6 Giulio 'juliuxpigface' 2015-10-24 07:26:49 EDT
Created attachment 1086070 [details]
File: exploitable
Comment 7 Giulio 'juliuxpigface' 2015-10-24 07:26:52 EDT
Created attachment 1086071 [details]
File: limits
Comment 8 Giulio 'juliuxpigface' 2015-10-24 07:27:15 EDT
Created attachment 1086072 [details]
File: maps
Comment 9 Giulio 'juliuxpigface' 2015-10-24 07:27:21 EDT
Created attachment 1086073 [details]
File: mountinfo
Comment 10 Giulio 'juliuxpigface' 2015-10-24 07:27:26 EDT
Created attachment 1086074 [details]
File: open_fds
Comment 11 Giulio 'juliuxpigface' 2015-10-24 07:27:31 EDT
Created attachment 1086075 [details]
File: proc_pid_status
Comment 12 Giulio 'juliuxpigface' 2015-10-24 07:27:34 EDT
Created attachment 1086076 [details]
File: var_log_messages
Comment 13 Ralph Avila 2015-11-06 23:50:45 EST
Another user experienced a similar problem:

using telepathy normally looking for chat rooms in IRC using freenode and the the error notification appeared on top screen.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/libexec/telepathy-idle
crash_function: tp_handle_inspect
executable:     /usr/libexec/telepathy-idle
global_pid:     2630
kernel:         4.2.5-300.fc23.x86_64
package:        telepathy-idle-0.2.0-4.fc23
reason:         telepathy-idle killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 Fedora End Of Life 2016-11-24 07:53:56 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 10:08:33 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.